Bug 279451 - Kudzu links static to popt
Kudzu links static to popt
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-05 17:10 EDT by Robert Scheck
Modified: 2014-03-16 23:08 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.2.76-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-09-06 11:55:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2007-09-05 17:10:42 EDT
Description of problem:
Kudzu links static to popt, this seems somehow wrong to me. Please link popt 
dynamically, libpopt is in /lib[64] and add the buildrequirement popt-devel or
%{_includedir}/popt.h - thanks.

Version-Release number of selected component (if applicable):

How reproducible / Additional info:
Remove popt-static and try to rebuild kudzu, it will fail. BTW any build of 
kudzu in Rawhide will fail for the moment too, as popt got splitted out into 
popt and popt-devel and kudzu missed the change at the last rebuild by a few 
Comment 1 Robert Scheck 2007-09-05 20:26:24 EDT
The following patch works for me:

--- kudzu-1.2.74/Makefile       2007-08-03 21:55:56.000000000 +0200
+++ kudzu-1.2.74/Makefile.rsc   2007-09-06 02:24:49.000000000 +0200
@@ -63,7 +63,7 @@
        $(RANLIB) libkudzu.a

 kudzu: libkudzu.a $(KUDOBJS) po
-       $(CC) $(CFLAGS) $(LDFLAGS) $(KUDOBJS) -o kudzu -L. -lkudzu -L. -lpci -
lz -Wl,-Bstatic -lpopt -Wl,-Bdynamic
+       $(CC) $(CFLAGS) $(LDFLAGS) $(KUDOBJS) -o kudzu -L. -lkudzu -L. -lpci -
lz -lpopt

 _kudzumodule.so: libkudzu.a
        for ver in $(PYTHONVERS) ; do \
Comment 2 Bill Nottingham 2007-09-06 11:55:05 EDT
Fixed in CVS, will show up in 1.2.76-1.

Note You need to log in before you can comment on or make changes to this bug.